NCVMemStackAllocator Class Reference

NCVMemStackAllocator. More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVMemStackAllocator:

## Public Member Functions

| NCVMemStackAllocator (Ncv32u alignment)
| NCVMemStackAllocator (NCVMemoryType memT, size_t capacity, Ncv32u alignment, void *reusePtr=NULL)
virtual | ~NCVMemStackAllocator ()
virtual NCVStatus | alloc (NCVMemSegment &seg, size_t size)
virtual NCVStatus | dealloc (NCVMemSegment &seg)
virtual NcvBool | isInitialized (void) const
virtual NcvBool | isCounting (void) const
virtual NCVMemoryType | memType (void) const
virtual Ncv32u | alignment (void) const
virtual size_t | maxSize (void) const
Public Member Functions inherited from INCVMemAllocator
virtual | ~INCVMemAllocator ()=0

## Detailed Description

NCVMemStackAllocator.

Definition at line 440 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVMemStackAllocator() [1/2]

NCVMemStackAllocator::NCVMemStackAllocator | ( | Ncv32u | alignment | ) |

explicit

## NCVMemStackAllocator() [2/2]

NCVMemStackAllocator::NCVMemStackAllocator | ( | NCVMemoryType | memT,
|  | size_t | capacity,
|  | Ncv32u | alignment,
|  | void * | reusePtr = `NULL`
| ) |  |

## ~NCVMemStackAllocator()

virtual NCVMemStackAllocator::~NCVMemStackAllocator | ( |  | ) |

virtual

## Member Function Documentation

## alignment()

virtual Ncv32u NCVMemStackAllocator::alignment | ( | void |  | ) | const

virtual

Implements INCVMemAllocator.

## alloc()

virtual NCVStatus NCVMemStackAllocator::alloc | ( | NCVMemSegment & | seg,
|  | size_t | size
| ) |  |

virtual

Implements INCVMemAllocator.

## dealloc()

virtual NCVStatus NCVMemStackAllocator::dealloc | ( | NCVMemSegment & | seg | ) |

virtual

Implements INCVMemAllocator.

## isCounting()

virtual NcvBool NCVMemStackAllocator::isCounting | ( | void |  | ) | const

virtual

Implements INCVMemAllocator.

## isInitialized()

virtual NcvBool NCVMemStackAllocator::isInitialized | ( | void |  | ) | const

virtual

Implements INCVMemAllocator.

## maxSize()

virtual size_t NCVMemStackAllocator::maxSize | ( | void |  | ) | const

virtual

Implements INCVMemAllocator.

## memType()

virtual NCVMemoryType NCVMemStackAllocator::memType | ( | void |  | ) | const

virtual

Implements INCVMemAllocator.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp